Forum:Lisp
Thema:Eigenschaftsbeschreibung bei Parametern in dynamischen Bl��cken
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
sidibu

Beiträge: 21 / 0

Autocad 2012 und Mechanical 2012, Windows 7
Inventor 2012

Hallo zusammen,
gibt es eine Möglichkeit in einem dynamischen Block die Parameterbeschreibungen mittels LISP oder VL zu ändern. Ich habe ein Bild angehängt um es etwas zu verdeutlichen.
Wenn das geht, müsste ich wissen wie. Vielleicht gibt es jemanden der sich damit schon beschäftigt hat.

Vielen Dank im voraus.

------------------
mit freundlichen Grüßen
Dirk

cadffm

Beiträge: 20675 / 1065

System: F1
und Google

Ich verweise mal auf einen Thread der sich mit dynamischen Blöcken befasst, damit solltest du weiter kommen.
http://forum.cad.de/foren/ubb/Forum145/HTML/003981.shtml#000000
auch wenn es um andere Parameter geht.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Andreas Kraus

Beiträge: 1253 / 4

WIN 10
ACAD 2017

Hallo Dirk,

hiermit bekommst du alle Elementnamen aller Parameter einer Blockdefinition in einer Liste.
Mit entget bekommst du ja die Daten.

Allerdings wehrt sich ACAD gegen ein entmod bei diesen Elementen, aber vielleicht hilfts ja irgendwie weiter

Code:
(mapcar
  'cdr
  (vl-remove-if-not
    '(lambda (data) (= (car data) 360))
    (dictsearch
      (vlax-vla-object->ename
(vla-getextensiondictionary
  (vla-item (vla-get-blocks
      (vla-get-activedocument (vlax-get-acad-object))
    )
    blockname
  )
)
      )
      "ACAD_ENHANCEDBLOCK"
    )
  )
)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de